#!/usr/local/bin/perl

# Reads the output of Cebollita's module dumper, isolates the
# assembled instruction field, and prints the instructions
# as decimal.

use strict;

my @instructions;

while (<>) {
  next unless m/^\s*[0-9a-f]{8}\s+0x([0-9a-f]{8}):/;
  push @instructions,(hex($1));
}

print 1+$#instructions, "\n";
print join("\n", @instructions), "\n";

